HttpResponse::setData
HttpResponse::setFile
HttpResponse
PHP Manual

# HttpResponse::setETag

(PECL pecl_http >= 0.10.0)

HttpResponse::setETag — Set ETag

### Description

static bool HttpResponse::setETag ( string `$etag` )

Set a custom ETag. Use this only if you know what you're doing.

### Parameters

`etag`

  unquoted string as parameter containing the ETag

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- HttpResponse::getLastModified() - Get last modified
- HttpResponse::setLastModified() - Set last modified
- HttpResponse::getETag() - Get ETag

HttpResponse::setData
HttpResponse::setFile
HttpResponse
PHP Manual